# Method: mobiledevices.list

Retrieves a paginated list of all user-owned mobile devices for an account. To retrieve a list that includes company-owned devices, use the Cloud Identity [Devices API](https://cloud.google.com/identity/docs/concepts/overview-devices) instead. This method times out after 60 minutes. For more information, see [Troubleshoot error codes](https://developers.google.com/workspace/admin/directory/v1/guides/troubleshoot-error-codes).

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/mobile`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](https://developers.google.com/workspace/admin/directory/v1/reference/users). |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. Max allowed value is 100. |
| `orderBy` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices/list#OrderBy`)`` Device property to use for sorting results. |
| `pageToken` | `string` Token to specify next page in the list |
| `projection` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices/list#Projection`)`` Restrict information returned to a set of selected fields. |
| `query` | `string` Search string in the format given at <https://developers.google.com/workspace/admin/directory/v1/search-operators> |
| `sortOrder` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices/list#SortOrder`)`` Whether to return results in ascending or descending order. Must be used with the `orderBy` parameter. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "mobiledevices": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices#MobileDevice`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Kind of resource this is. |
| `etag` | `string` ETag of the resource. |
| `mobiledevices[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/mobiledevices#MobileDevice`)`` A list of Mobile Device objects. |
| `nextPageToken` | `string` Token used to access next page of this result. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.device.mobile`
- `
  https://www.googleapis.com/auth/admin.directory.device.mobile.action`
- `
  https://www.googleapis.com/auth/admin.directory.device.mobile.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## OrderBy

| Enums ||
|---|---|
| `DEVICE_ID` | The serial number for a Google Sync mobile device. For Android devices, this is a software generated unique identifier. |
| `EMAIL` | The device owner's email address. |
| `LAST_SYNC` | Last policy settings sync date time of the device. |
| `MODEL` | The mobile device's model. |
| `NAME` | The device owner's user name. |
| `OS` | The device's operating system. |
| `STATUS` | The device status. |
| `TYPE` | Type of the device. |

## Projection

| Enums ||
|---|---|
| `BASIC` | Includes only the basic metadata fields (e.g., deviceId, model, status, type, and status) |
| `FULL` | Includes all metadata fields |

## SortOrder

| Enums ||
|---|---|
| `ASCENDING` | Ascending order. |
| `DESCENDING` | Descending order. |